Bug 466964 - xscreensaver - core from 'molecule' (abort or segfault)
xscreensaver - core from 'molecule' (abort or segfault)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 15:21 EDT by Michal Jaegermann
Modified: 2009-12-18 01:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:34:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-10-14 15:21:26 EDT
Description of problem:

/usr/libexec/xscreensaver/molecule drops cores. After loading
over 150 Megs of suggested debuginfo stuff I got that,

Core was generated by `molecule -root -window-id 0x2400446'.
Program terminated with signal 6, Aborted.
[New process 28770]
#0  0x0000003187833095 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x0000003187833095 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003187834c03 in abort () at abort.c:88
#2  0x0000000000125763 in bufmgr_classic_bo_map (bo_base=0x194ad80,
    write_enable=1) at r300_mem.c:680
#3  0x00000000001249a9 in map_buffer () at radeon_span.c:279
#4  radeonSpanRenderStart (ctx=0x1666300) at radeon_span.c:313
#5  0x000000000094ad67 in _swrast_Bitmap (ctx=0x1666300, px=11, py=249,
    width=12, height=14, unpack=0x1672808, bitmap=0x19e7d20 "\017\200?�pp`0�")
    at swrast/s_bitmap.c:64
#6  0x000000000089f86e in _mesa_Bitmap (width=12, height=14, xorig=-1,
    yorig=-1, xmove=14, ymove=0, bitmap=0x19e7d20 "\017\200?�pp`0�")
    at main/drawpix.c:241
#7  0x000000000089d77f in execute_list (ctx=0x1666300,
    list=<value optimized out>) at main/dlist.c:5786
#8  0x000000000089f21c in _mesa_CallList (list=324) at main/dlist.c:6852
#9  0x000000000040b039 in print_gl_string (dpy=<value optimized out>,
    font=0x1957380, font_dlist=257, window_width=<value optimized out>,
    window_height=<value optimized out>, x=10, y=248,
    string=0x410e80 "Constructing molecules...", clear_background_p=0)
    at ../../../hacks/glx/glxfonts.c:286
#10 0x00000000004069fd in startup_blurb ()
    at ../../../hacks/glx/molecule.c:1182
#11 init_molecule (mi=0x1652830) at ../../../hacks/glx/molecule.c:1270
#12 0x000000000040a661 in xlockmore_init (dpy=0x1647df0, window=37749830,
    xlmft=<value optimized out>) at ../../../hacks/xlockmore.c:485
#13 0x0000000000408940 in run_screenhack_table ()
    at ../../hacks/screenhack.c:533
#14 main (argc=1, argv=<value optimized out>) at ../../hacks/screenhack.c:912
(gdb) f 11
#11 init_molecule (mi=0x1652830) at ../../../hacks/glx/molecule.c:1270
1270      startup_blurb (mi);
(gdb) l
1265        gl_init(mi);
1266        reshape_molecule (mi, MI_WIDTH(mi), MI_HEIGHT(mi));
1267      }
1268
1269      load_fonts (mi);
1270      startup_blurb (mi);
1271
1272      wire = MI_IS_WIREFRAME(mi);
1273
1274      {
(gdb) p *mi
$1 = {xlmft = 0x644880, dpy = 0x1647df0, window = 37749830, root_p = 0,
  num_screens = 2, screen_number = 0, npixels = 64, pixels = 0x16530e0,
  colors = 0x1652cd0, writable_p = 0, white = 16777215, black = 0, xgwa = {
    x = 396, y = 122, width = 371, height = 279, border_width = 0, depth = 24,
    visual = 0x1642a30, root = 122, class = 1, bit_gravity = 1,
    win_gravity = 1, backing_store = 0, backing_planes = 4294967295,
    backing_pixel = 0, save_under = 0, colormap = 32, map_installed = 1,
    map_state = 2, all_event_masks = 4358157, your_event_mask = 131085,
    do_not_propagate_mask = 0, override_redirect = 0, screen = 0x16428b0},
  gc = 0x16532f0, pause = 10000, fullrandom = 1, cycles = 0, batchcount = 0,
  size = 0, threed = 0, threed_left_color = 16777215,
  threed_right_color = 16777215, threed_both_color = 16777215,
  threed_none_color = 16777215, threed_delta = 0, wireframe_p = 0,
  is_drawn = 0, fpst = 0x0, fps_p = 0, polygon_count = 0, use_shm = 0,
  shm_info = {shmseg = 0, shmid = 0, shmaddr = 0x0, readOnly = 0}}
(gdb) f 10
#10 0x00000000004069fd in startup_blurb ()
    at ../../../hacks/glx/molecule.c:1182
1182      print_gl_string (mi->dpy, mc->xfont2, mc->font2_dlist,
(gdb) l
1177    static void
1178    startup_blurb (ModeInfo *mi)
1179    {
1180      molecule_configuration *mc = &mcs[MI_SCREEN(mi)];
1181      const char *s = "Constructing molecules...";
1182      print_gl_string (mi->dpy, mc->xfont2, mc->font2_dlist,
1183                       mi->xgwa.width, mi->xgwa.height,
1184                       10, mi->xgwa.height - 10,
1185                       s, False);
1186      glFinish();
(gdb) p *mc
Cannot access memory at address 0x0
(gdb)

Running `molecule -root -no-bonds -no-labels -window-id 0x240059F'
(another setting in xscreensaver configuration) produces
"Program terminated with signal 11, Segmentation fault." for a change
and the following backtrace:

#0  0x0000000000122920 in radeonWriteRGBAPixels_ARGB8888 (
    ctx=<value optimized out>, rb=0x1f39a20, n=62, x=0x7f0c11a8d020,
    y=0x7f0c11a91020, values=0x7f0c11a81014,
    mask=0x7f0c11a80010 '\001' <repeats 62 times>)
    at ../../../../../src/mesa/drivers/dri/common/spantmp2.h:259
259                                WRITE_RGBA( x[i], fy,
(gdb) bt
#0  0x0000000000122920 in radeonWriteRGBAPixels_ARGB8888 (
    ctx=<value optimized out>, rb=0x1f39a20, n=62, x=0x7f0c11a8d020,
    y=0x7f0c11a91020, values=0x7f0c11a81014,
    mask=0x7f0c11a80010 '\001' <repeats 62 times>)
    at ../../../../../src/mesa/drivers/dri/common/spantmp2.h:259
#1  0x000000000095cf7b in _swrast_write_rgba_span (ctx=0x1c55360,
    span=0x7fff1f9a7020) at swrast/s_span.c:1443
#2  0x000000000094aee8 in _swrast_Bitmap (ctx=0x1c55360, px=11,
    py=<value optimized out>, width=12, height=14, unpack=0x1c61868,
    bitmap=0x1fd6cf0 "\017\200?�pp`0�") at swrast/s_bitmap.c:127
#3  0x000000000089f86e in _mesa_Bitmap (width=12, height=14, xorig=-1,
    yorig=-1, xmove=14, ymove=0, bitmap=0x1fd6cf0 "\017\200?�pp`0�")
    at main/drawpix.c:241
#4  0x000000000089d77f in execute_list (ctx=0x1c55360,
    list=<value optimized out>) at main/dlist.c:5786
#5  0x000000000089f21c in _mesa_CallList (list=324) at main/dlist.c:6852
#6  0x000000000040b039 in print_gl_string (dpy=<value optimized out>,
    font=0x1f46350, font_dlist=257, window_width=<value optimized out>,
    window_height=<value optimized out>, x=10, y=248,
    string=0x410e80 "Constructing molecules...", clear_background_p=0)
    at ../../../hacks/glx/glxfonts.c:286
#7  0x00000000004069fd in startup_blurb ()
    at ../../../hacks/glx/molecule.c:1182
#8  init_molecule (mi=0x1c2cf60) at ../../../hacks/glx/molecule.c:1270
#9  0x000000000040a661 in xlockmore_init (dpy=0x1c36e10, window=37750175,
    xlmft=<value optimized out>) at ../../../hacks/xlockmore.c:485
#10 0x0000000000408940 in run_screenhack_table ()
    at ../../hacks/screenhack.c:533
#11 main (argc=1, argv=<value optimized out>) at ../../hacks/screenhack.c:912
(gdb)

Version-Release number of selected component (if applicable):
xscreensaver-gl-extras-5.07-2.fc10.x86_64

How reproducible:
Every time when you will try to run /usr/libexec/xscreensaver/molecule
like described above.
Comment 1 Mamoru TASAKA 2008-10-14 22:42:26 EDT
Once switching to mesa.
Comment 2 Matthias Clasen 2008-10-24 19:09:16 EDT
I don't think this should be on the blocker list, since it only affects a single screensaver hack, not all of xscreensaver. And xscreensaver is not even in the default install.
Comment 3 Michal Jaegermann 2008-10-25 01:53:36 EDT
> I don't think this should be on the blocker list ...

My guess was that because this was switched to mesa the report was taken as an indicator of some deeper mesa trouble and not an issue with xscreensaver as originally filed.
Comment 4 Bug Zapper 2008-11-25 22:52:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-18 03:34:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:34:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.